Last modified: 2014-02-14 13:00:51 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 55723 - code documentation around wgUseFileCache
code documentation around wgUseFileCache
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Documentation (Other open bugs)
1.22.0
All All
: Normal minor (vote)
: ---
Assigned To: Nobody - You can work on this!
: easy
Depends on:
Blocks: documentation
  Show dependency treegraph
 
Reported: 2013-10-15 02:21 UTC by Jeff Janes
Modified: 2014-02-14 13:00 UTC (History)
2 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Jeff Janes 2013-10-15 02:21:35 UTC
I'm not sure if code comments are part of "Documentation", but I didn't see a more likely category.


from includes/DefaultSettings.php :

/**
 * This will cache static pages for non-logged-in users to reduce
 * database traffic on public sites.
 * Must set $wgShowIPinHeader = false
 * ResourceLoader requests to default language and skins are cached
 * as well as single module requests.
 */
$wgUseFileCache = false;

The comment about "Must set wgShowIPinHeader = false" has not been true for some time, as it is done automatically when File  Cache is used (since 1.15 according to HISTORY).
Comment 1 Gerrit Notification Bot 2013-11-21 04:50:15 UTC
Change 96691 had a related patch set uploaded by Persia:
Update comment in DefaultSettings for bug 17180

https://gerrit.wikimedia.org/r/96691
Comment 2 Gerrit Notification Bot 2013-11-21 04:54:14 UTC
Change 96691 abandoned by Persia:
Update comment in DefaultSettings for bug 17180

Reason:
This is the wrong branch name, which is likely to be confusing to reviewers.

https://gerrit.wikimedia.org/r/96691
Comment 3 Gerrit Notification Bot 2013-11-21 04:59:29 UTC
Change 96692 had a related patch set uploaded by Persia:
Update comment in DefaultSettings for bug 17180

https://gerrit.wikimedia.org/r/96692
Comment 4 Gerrit Notification Bot 2013-11-22 20:29:32 UTC
Change 96692 merged by jenkins-bot:
Update comment in DefaultSettings for bug 17180

https://gerrit.wikimedia.org/r/96692
Comment 5 Andre Klapper 2014-02-14 13:00:51 UTC
Assuming this bug is FIXED as per comment 4.
If that is not the case: Please reopen and elaborate what is left to do here to get this report fixed.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links